Loading...
Searching...
No Matches
cl::detail::Wrapper< T > Class Template Reference

## Public Types

typedef T | cl_type

## Public Member Functions

| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) noexcept
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
cl_type | get () const

## Protected Member Functions

cl_int | retain () const
cl_int | release () const

## Protected Attributes

cl_type | object_

## Friends

template<typename Func, typename U>
cl_int | getInfoHelper (Func, cl_uint, U *, int, typename U::cl_type)

## Detailed Description

template<typename T>
class cl::detail::Wrapper< T >

Definition at line 2214 of file opencl.hpp.

## Member Typedef Documentation

## cl_type

template<typename T>

typedef T cl::detail::Wrapper< T >::cl_type

Definition at line 2217 of file opencl.hpp.

## Constructor & Destructor Documentation

## Wrapper() [1/4]

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( |  | ) |

inline

Definition at line 2223 of file opencl.hpp.

## Wrapper() [2/4]

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( | const cl_type & | obj,
|  | bool | retainObject )

inline

Definition at line 2225 of file opencl.hpp.

## ~Wrapper()

template<typename T>

cl::detail::Wrapper< T >::~Wrapper | ( |  | ) |

inline

Definition at line 2232 of file opencl.hpp.

## Wrapper() [3/4]

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( | const Wrapper< cl_type > & | rhs | ) |

inline

Definition at line 2237 of file opencl.hpp.

## Wrapper() [4/4]

template<typename T>

cl::detail::Wrapper< T >::Wrapper | ( | Wrapper< cl_type > && | rhs | ) |

inline noexcept

Definition at line 2243 of file opencl.hpp.

## Member Function Documentation

## get()

template<typename T>

cl_type cl::detail::Wrapper< T >::get | ( |  | ) | const

inline

Definition at line 2280 of file opencl.hpp.

## operator()() [1/2]

template<typename T>

cl_type & cl::detail::Wrapper< T >::operator() | ( |  | ) |

inline

Definition at line 2278 of file opencl.hpp.

## operator()() [2/2]

template<typename T>

const cl_type & cl::detail::Wrapper< T >::operator() | ( |  | ) | const

inline

Definition at line 2276 of file opencl.hpp.

## operator=() [1/3]

template<typename T>

Wrapper< cl_type > & cl::detail::Wrapper< T >::operator= | ( | const cl_type & | rhs | ) |

inline

Definition at line 2269 of file opencl.hpp.

## operator=() [2/3]

template<typename T>

Wrapper< cl_type > & cl::detail::Wrapper< T >::operator= | ( | const Wrapper< cl_type > & | rhs | ) |

inline

Definition at line 2249 of file opencl.hpp.

## operator=() [3/3]

template<typename T>

Wrapper< cl_type > & cl::detail::Wrapper< T >::operator= | ( | Wrapper< cl_type > && | rhs | ) |

inline

Definition at line 2259 of file opencl.hpp.

## release()

template<typename T>

cl_int cl::detail::Wrapper< T >::release | ( |  | ) | const

inline protected

Definition at line 2296 of file opencl.hpp.

## retain()

template<typename T>

cl_int cl::detail::Wrapper< T >::retain | ( |  | ) | const

inline protected

Definition at line 2286 of file opencl.hpp.

## Member Data Documentation

## object_

template<typename T>

cl_type cl::detail::Wrapper< T >::object_

protected

Definition at line 2220 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp